---
title: EXT_disjoint_timer_query.getQueryObjectEXT()
slug: Web/API/EXT_disjoint_timer_query/getQueryObjectEXT
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL extension
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>EXT_disjoint_timer_query.getQueryObjectEXT()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns the state of a query object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">any <var>ext</var>.getQueryObjectEXT(<var>query</var>, <var>pname</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>query</code></dt>
 <dd>A {{domxref("WebGLTimerQueryEXT")}} object from which to return information.</dd>
 <dt><code>pname</code></dt>
 <dd>A {{domxref("GLenum")}} specifying which information to return. Must be <code>ext.QUERY_RESULT_EXT</code> or <code>ext.QUERY_RESULT_AVAILABLE_EXT</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Depends on <code>pname</code>:</p>

<ul>
 <li>If <code>pname</code> is <code>ext.QUERY_RESULT_EXT</code>: A {{domxref("GLuint64EXT")}} containing the query result.</li>
 <li>If <code>pname</code> is <code>ext.QUERY_RESULT_AVAILABLE_EXT</code>: A {{domxref("GLboolean")}} indicating whether or not a query result is available.</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var ext = gl.getExtension('EXT_disjoint_timer_query');
var query = ext.createQueryEXT();
ext.beginQueryEXT(ext.TIME_ELAPSED_EXT, query);

// ... drawing ...

ext.endQueryEXT(ext.TIME_ELAPSED_EXT);

// At some point in the future, after returning control to the browser
var available = ext.getQueryObjectEXT(query, ext.QUERY_RESULT_AVAILABLE_EXT);
var disjoint = gl.getParameter(ext.GPU_DISJOINT_EXT);

if (available &amp;&amp; !disjoint) {
  // See how much time the rendering of the object took in nanoseconds.
  var timeElapsed = ext.getQueryObjectEXT(query, ext.QUERY_RESULT_EXT);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EXT_disjoint_timer_query', '', 'EXT_disjoint_timer_query')}}</td>
   <td>{{Spec2('EXT_disjoint_timer_query')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.EXT_disjoint_timer_query.getQueryObjectEXT")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
 <li>{{domxref("WebGLTimerQueryEXT")}}</li>
 <li>{{domxref("EXT_disjoint_timer_query")}}</li>
</ul>
